aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/headers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/headers.sh')
-rwxr-xr-xscripts/headers.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/headers.sh b/scripts/headers.sh
new file mode 100755
index 00000000..978b42b3
--- /dev/null
+++ b/scripts/headers.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Run headers_$1 command for all suitable architectures
+
+# Stop on error
+set -e
+
+do_command()
+{
+ if [ -f ${srctree}/arch/$2/include/asm/Kbuild ]; then
+ make ARCH=$2 KBUILD_HEADERS=$1 headers_$1
+ else
+ printf "Ignoring arch: %s\n" ${arch}
+ fi
+}
+
+archs=${HDR_ARCH_LIST:-$(ls ${srctree}/arch)}
+
+for arch in ${archs}; do
+ case ${arch} in
+ um) # no userspace export
+ ;;
+ cris) # headers export are known broken
+ ;;
+ *)
+ if [ -d ${srctree}/arch/${arch} ]; then
+ do_command $1 ${arch}
+ fi
+ ;;
+ esac
+done
+
+